# NoneCipher (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport.cipher
Class NoneCipher

    java.lang.Object
      net.schmizz.sshj.transport.cipher.NoneCipher

All Implemented Interfaces:
  Cipher

    public class NoneCipher

extends Object
implements Cipher

Represents a no-op cipher.

Nested Class Summary
`static class` `NoneCipher.Factory` Named factory for the no-op Cipher

Nested classes/interfaces inherited from interface net.schmizz.sshj.transport.cipher.Cipher
`Cipher.Mode`

Constructor Summary
`NoneCipher()`

Method Summary
`int` `getBlockSize()`
`int` `getIVSize()`
`void` `init(Cipher.Mode mode, byte[] bytes, byte[] bytes1)` Initialize the cipher for encryption or decryption with the given private key and initialization vector
`void` `update(byte[] input, int inputOffset, int inputLen)` Performs in-place encryption or decryption on the given data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoneCipher

    public NoneCipher()

Method Detail

### getBlockSize

    public int getBlockSize()

  Specified by:
    `getBlockSize` in interface `Cipher`
  Returns:
    the block size for this cipher

### getIVSize

    public int getIVSize()

  Specified by:
    `getIVSize` in interface `Cipher`
  Returns:
    the size of the initialization vector

### init

    public void init(Cipher.Mode mode,
                     byte[] bytes,
                     byte[] bytes1)

  Description copied from interface: `Cipher`
  Initialize the cipher for encryption or decryption with the given private key and initialization vector

  Specified by:
    `init` in interface `Cipher`
  Parameters:
    `mode` - whether this instance wil encrypt or decrypt
    `bytes` - the key for the cipher
    `bytes1` - initialization vector

### update

    public void update(byte[] input,
                       int inputOffset,
                       int inputLen)

  Description copied from interface: `Cipher`
  Performs in-place encryption or decryption on the given data.

  Specified by:
    `update` in interface `Cipher`
  Parameters:
    `input` - the subject
    `inputOffset` - offset at which to start
    `inputLen` - number of bytes starting at `inputOffset`

Copyright © 2009-2011. All Rights Reserved.